#!/bin/sh
### BEGIN INIT INFO
# Provides:          zramswap
# Required-Start:    $network $local_fs $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: zram-based swap disk
# Description:       zram-based swap disk
### END INIT INFO

DESC="zram-based swap disk"
NAME=zramswap

[ -f /etc/default/zramswap ] && . /etc/default/zramswap

. /lib/lsb/init-functions

case "$1" in
	start)
		log_daemon_msg "Starting $DESC " "$NAME"
		zramctl $ZRAMCTL_OPTS start > /dev/null
		log_end_msg ${?}
		;;
	stop)
		log_daemon_msg "Stopping $DESC" "$NAME"
		zramctl stop > /dev/null
		;;
	status)
		zramctl status
		;;
	*)
		echo "Usage: zramswap {start|stop|status}" >&2
		exit 3
		;;
esac

:
